.wrapper {
    display: inline-flex;
    height: 40px;
    align-items: center;
    justify-content: space-evenly;
}

.wrapper .option {
    background: #fff;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin-top: 5px;
    margin-right: 10px;
    border-radius: 5px;
    cursor: pointer;
    padding: 0 10px;
    border: 2px solid lightgrey;
    transition: all 0.3s ease;
}

.wrapper .option .dot {
    height: 16px;
    width: 16px;
    background: #d9d9d9;
    border-radius: 50%;
    position: relative;
}

.wrapper .option .dot-text {
    margin-left: 5px;
}

.wrapper .option .dot::before {
    position: absolute;
    content: "";
    top: 4px;
    left: 4px;
    width: 8px;
    height: 8px;
    background: #018fa6;
    border-radius: 50%;
    opacity: 0;
    transform: scale(1.5);
    transition: all 0.3s ease;
}

.wrapper input[type="radio"] {
    display: none;
}

.option-1:checked~.option-1,
.option-2:checked~.option-2,
.option-3:checked~.option-3 {
    border-color: #018fa6;
    background: #018fa6;
}

.option-1:checked~.option-1 .dot,
.option-2:checked~.option-2 .dot,
.option-3:checked~.option-3 .dot {
    background: #fff;
}

.option-1:checked~.option-1 .dot::before,
.option-2:checked~.option-2 .dot::before,
.option-3:checked~.option-3 .dot::before {
    opacity: 1;
    transform: scale(1);
}

.option-1:checked~.option-1 span,
.option-2:checked~.option-2 span,
.option-3:checked~.option-3 span {
    color: #fff;
}

@media only screen and (max-width: 768px) {
    .wrapper {
        display: block;
        height: unset;
    }
    .wrapper .option {
        height: 100%;
        width: 100%;
        padding: 7px 10px;
    }
    .wrapper .option .dot-text {
        width: 120px;
    }
}